import { Kind } from 'graphql';

// Takes the generated query document and modifies the chain name to the one passed in
function modifyQueryForChain(chainName, documentNode) {
    documentNode.definitions = documentNode.definitions.map((doc) => {
        if (doc.kind === Kind.OPERATION_DEFINITION) {
            doc.selectionSet.selections = doc.selectionSet.selections.map((selection) => {
                if (selection.kind === Kind.FIELD &&
                    selection.name.kind == Kind.NAME &&
                    selection.name.value === 'ethereum') {
                    const updatedChainSelection = {
                        ...selection,
                        ...{
                            name: { ...selection.name, value: chainName },
                        },
                    };
                    return updatedChainSelection;
                }
                return selection;
            });
        }
        return doc;
    });
    return documentNode;
}

export { modifyQueryForChain };
