import { z } from 'zod';

// Below are zod enums used a validators that should be the same as the string unions generated by codegen.
// There are compile-time checks to ensure that they are the same and in sync. If you are getting a
// type error here, you need to update the the validator array to match the codegen type.
const CONTRACT_STANDARDS = ['ERC20', 'ERC721', 'ERC1155'];
const isContractStandard = z.enum(CONTRACT_STANDARDS);
const MARKETPLACES = [
    'BLUR',
    'CRYPTOPUNKS',
    'LOOKSRARE',
    'NIFTY_GATEWAY',
    'OPENSEA',
    'SEAPORT',
    'X2Y2',
    'ZEROX',
];
const isMarketplace = z.enum(MARKETPLACES);
const TOKEN_TRANSFER_TYPES = [
    'TRANSFER',
    'MINT',
    'SALE',
    'SWAP',
    'BURN',
];
const isTokenTransferType = z.enum(TOKEN_TRANSFER_TYPES);

export { isContractStandard, isMarketplace, isTokenTransferType };
