var __schema={queryType:{name:"Query"},mutationType:null,subscriptionType:null,types:[{kind:"SCALAR",name:"BigInt",description:"The `BigInt` scalar type represents non-fractional signed whole numeric values.",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"Boolean",description:"The `Boolean` scalar type represents `true` or `false`.",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"INTERFACE",name:"Collection",description:"Fetches an NFT collection",fields:[{name:"address",description:"The contract address of the collection",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"attributes",description:"Attributes within a collection",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionAttributesConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"bannerImage",description:"Collection banner image.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"baseTokenUri",description:"The base token uri of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"circulatingSupply",description:"The circulating supply of tokens within the collection",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"NFTContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"description",description:"The description of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"externalUrl",description:"The external url of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"image",description:"The collection image.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"ohlcvChart",description:null,args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionOhlcvChartInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionOHLCVChart",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"openseaMetadata",description:"Opensea metadata",args:[],type:{kind:"OBJECT",name:"OpenSeaMetadata",ofType:null},isDeprecated:false,deprecationReason:null},{name:"orderHistory",description:"Order history for a collection",args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionOrderHistoryInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionOrderHistory",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"sales",description:"The sales of the collection",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionSaleFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"CollectionSaleOrderBy",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionSalesConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"slug",description:"The slug of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalSupply",description:"The total supply of tokens within the collection",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"twitterUsername",description:"The twitter username of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"wallets",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionWalletsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:[{kind:"OBJECT",name:"ERC721Collection",ofType:null},{kind:"OBJECT",name:"ERC1155Collection",ofType:null}]},{kind:"OBJECT",name:"CollectionAttribute",description:"Attributes within a collection",fields:[{name:"name",description:"The trait key",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"value",description:"The value of the trait",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionAttributesConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionAttributesConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionAttributesConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionAttribute",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionOHLCVChart",description:"Collection OHLCV chart stats",fields:[{name:"average",description:null,args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"close",description:null,args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"count",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"high",description:null,args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"low",description:null,args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"open",description:null,args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"volume",description:null,args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"CollectionOHLCVChartInterval",description:"Filter by input interval",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"FIFTEEN_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"FIVE_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_DAY",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_HOUR",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_MINUTE",description:null,isDeprecated:false,deprecationReason:null},{name:"SEVEN_DAYS",description:null,isDeprecated:false,deprecationReason:null},{name:"SIX_HOURS",description:null,isDeprecated:false,deprecationReason:null},{name:"THIRTY_DAYS",description:null,isDeprecated:false,deprecationReason:null},{name:"THIRTY_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"TWELVE_HOURS",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"INPUT_OBJECT",name:"CollectionOhlcvChartInput",description:null,fields:null,inputFields:[{name:"confirmedAtGte",description:null,type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"confirmedAtLte",description:null,type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"interval",description:null,type:{kind:"ENUM",name:"CollectionOHLCVChartInterval",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"limit",description:null,type:{kind:"SCALAR",name:"Float",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionOrderHistory",description:"Collection order history summary",fields:[{name:"fromAddress",description:"The address of the seller",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"priceInEth",description:"The price of the transaction in the base network token",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:true,deprecationReason:"Use \"priceInNativeToken\" instead"},{name:"priceInNativeToken",description:"The price of the transaction in the base network token",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:"The timestamp of the transaction",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:"The address of the buyer",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:"The transaction hash",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"CollectionOrderHistoryInput",description:null,fields:null,inputFields:[{name:"confirmedAtGte",description:"The confirmedAt date is greater than or equal to, ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"confirmedAtLte",description:"The confirmedAt date is less than or equal to, ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"isLimited",description:"Whether the order is limited",type:{kind:"SCALAR",name:"Boolean",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionSale",description:"Sale of a collection token",fields:[{name:"estimatedConfirmedAt",description:"The estimated time the sale was confirmed",args:[],type:{kind:"SCALAR",name:"DateTime",ofType:null},isDeprecated:false,deprecationReason:null},{name:"priceInNativeToken",description:"The price in network base token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"quantitySold",description:"The quantity sold",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"CollectionSaleFilterInput",description:"Filter input for collection sales",fields:null,inputFields:[{name:"timePeriod",description:"A time period relative to the current time in which to filter collection sales by.",type:{kind:"ENUM",name:"CollectionSalePeriod",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"timeRange",description:"Custom time range in which to filter collection sales by. Available only to paid customers.",type:{kind:"INPUT_OBJECT",name:"DateTimeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"ENUM",name:"CollectionSaleOrderBy",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"TIMESTAMP",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"ENUM",name:"CollectionSalePeriod",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"FIFTEEN_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"FIVE_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_DAY",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_HOUR",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_MINUTE",description:null,isDeprecated:false,deprecationReason:null},{name:"SEVEN_DAYS",description:null,isDeprecated:false,deprecationReason:null},{name:"THIRTY_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"TWELVE_HOURS",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"CollectionSalesConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionSalesConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionSalesConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionSale",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"CollectionStandard",description:"The ERC standard of the collection",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"ERC721",description:null,isDeprecated:false,deprecationReason:null},{name:"ERC1155",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"INPUT_OBJECT",name:"CollectionStandardInput",description:null,fields:null,inputFields:[{name:"eq",description:"Equal to",type:{kind:"ENUM",name:"CollectionStandard",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"in",description:"In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"CollectionStandard",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"notIn",description:"Not In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"CollectionStandard",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionStats",description:"Stats of a collection",fields:[{name:"average",description:"Average sale price of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'averageInNativeToken' instead"},{name:"averageInNativeToken",description:"Average sale price of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"ceiling",description:"Highest sale price of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'ceilingInNativeToken' instead"},{name:"ceilingInNativeToken",description:"Highest sale price of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"floor",description:"Lowest sale price of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'floorInNativeToken' instead"},{name:"floorInNativeToken",description:"Lowest sale price of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"totalSales",description:"Total sales of the collection",args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null},{name:"volume",description:"Total sales volume of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'volumeInNativeToken' instead"},{name:"volumeInNativeToken",description:"Total sales volume of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionTokenEventsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionTokenEventsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionTokenEventsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"TokenEvent",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionWalletsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionWalletsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"CollectionWalletsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"Wallet",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"CollectionsFilterInput",description:"Filter input for collections",fields:null,inputFields:[{name:"address",description:"The address of the collection",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"ercStandard",description:"The ERC standard of the collection",type:{kind:"INPUT_OBJECT",name:"CollectionStandardInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"INTERFACE",name:"Contract",description:"Fetches a contract",fields:[{name:"abi",description:"The ABI of the contract",args:[],type:{kind:"SCALAR",name:"JSON",ofType:null},isDeprecated:false,deprecationReason:null},{name:"address",description:"The contract address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"isVerified",description:"Contract with verified ABI",args:[],type:{kind:"SCALAR",name:"Boolean",ofType:null},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the contract",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"supportedErcInterfaces",description:"The supported ERC interfaces of the contract",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the contract",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ContractTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:[{kind:"OBJECT",name:"NFTContract",ofType:null},{kind:"OBJECT",name:"TokenContract",ofType:null}]},{kind:"ENUM",name:"ContractStandard",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"ERC20",description:null,isDeprecated:false,deprecationReason:null},{name:"ERC721",description:null,isDeprecated:false,deprecationReason:null},{name:"ERC1155",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"INPUT_OBJECT",name:"ContractStandardInput",description:null,fields:null,inputFields:[{name:"eq",description:"Equal to",type:{kind:"ENUM",name:"ContractStandard",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"in",description:"In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"ContractStandard",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"notIn",description:"Not In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"ContractStandard",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ContractTokenEventsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ContractTokenEventsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ContractTokenEventsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"TokenEvent",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ContractsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ContractsEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ContractsEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"Contract",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"ContractsFilterInput",description:"Filter input for contracts",fields:null,inputFields:[{name:"address",description:"The address of the contract",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"DateTime",description:"A date-time string at UTC, such as 2007-12-03T10:15:30Z, compliant with the `date-time` format outlined in section 5.6 of the RFC 3339 profile of the ISO 8601 standard for representation of dates and times using the Gregorian calendar.",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"DateTimeInput",description:null,fields:null,inputFields:[{name:"eq",description:"Equal to a date ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"gt",description:"Greater than a date ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"gte",description:"Greater than or equal to a date ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"lt",description:"Less than a date ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"lte",description:"Less than or equal to a date ie. 2023-01-01T00:00:00Z",type:{kind:"SCALAR",name:"DateTime",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC721Collection",description:null,fields:[{name:"address",description:"The contract address of the collection",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"attributes",description:"Attributes within a collection",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionAttributesConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"bannerImage",description:"Collection banner image.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"baseTokenUri",description:"The base token uri of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"circulatingSupply",description:"The circulating supply of tokens within the collection",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"NFTContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"description",description:"The description of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"externalUrl",description:"The external url of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"image",description:"The collection image.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"nft",description:null,args:[{name:"tokenId",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"ERC721NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"nfts",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"NFTsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC721CollectionTokensConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"ohlcvChart",description:null,args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionOhlcvChartInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionOHLCVChart",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"openseaMetadata",description:"Opensea metadata",args:[],type:{kind:"OBJECT",name:"OpenSeaMetadata",ofType:null},isDeprecated:false,deprecationReason:null},{name:"orderHistory",description:"Order history for a collection",args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionOrderHistoryInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionOrderHistory",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"sales",description:"The sales of the collection",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionSaleFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"CollectionSaleOrderBy",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionSalesConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"slug",description:"The slug of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"stats",description:null,args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"ERC721CollectionStatsInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionStats",ofType:null},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalSupply",description:"The total supply of tokens within the collection",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"twitterUsername",description:"The twitter username of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"wallets",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionWalletsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"Collection",ofType:null}],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"ERC721CollectionStatsInput",description:null,fields:null,inputFields:[{name:"timeRange",description:null,type:{kind:"INPUT_OBJECT",name:"DateTimeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC721CollectionTokensConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC721CollectionTokensEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC721CollectionTokensEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC721NFT",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC721NFT",description:null,fields:[{name:"animationUrl",description:"The animation url of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"attributes",description:"The attributes of the token.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenAttribute",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"collection",description:null,args:[],type:{kind:"OBJECT",name:"ERC721Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collectionSlug",description:"The slug of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"NFTContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The contract address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:"The description of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"externalUrl",description:"The external url of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"metadata",description:"The metadata of the token",args:[],type:{kind:"SCALAR",name:"JSONObject",ofType:null},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"NFTTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"uploads",description:"The uploads of a token.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"wallet",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"NFT",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC1155Collection",description:null,fields:[{name:"address",description:"The contract address of the collection",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"attributes",description:"Attributes within a collection",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionAttributesConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"bannerImage",description:"Collection banner image.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"baseTokenUri",description:"The base token uri of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"circulatingSupply",description:"The circulating supply of tokens within the collection",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"NFTContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"description",description:"The description of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"externalUrl",description:"The external url of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"image",description:"The collection image.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"nft",description:null,args:[{name:"tokenId",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"ERC1155NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"nfts",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"NFTsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC1155CollectionTokensConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"ohlcvChart",description:null,args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionOhlcvChartInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionOHLCVChart",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"openseaMetadata",description:"Opensea metadata",args:[],type:{kind:"OBJECT",name:"OpenSeaMetadata",ofType:null},isDeprecated:false,deprecationReason:null},{name:"orderHistory",description:"Order history for a collection",args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionOrderHistoryInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionOrderHistory",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"sales",description:"The sales of the collection",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionSaleFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"CollectionSaleOrderBy",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionSalesConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"slug",description:"The slug of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"stats",description:null,args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"ERC1155CollectionStatsInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"CollectionStats",ofType:null},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalSupply",description:"The total supply of tokens within the collection",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"twitterUsername",description:"The twitter username of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"wallets",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"CollectionWalletsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"Collection",ofType:null}],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"ERC1155CollectionStatsInput",description:null,fields:null,inputFields:[{name:"timeRange",description:null,type:{kind:"INPUT_OBJECT",name:"DateTimeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC1155CollectionTokensConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC1155CollectionTokensEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC1155CollectionTokensEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC1155NFT",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC1155NFT",description:null,fields:[{name:"animationUrl",description:"The animation url of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collection",description:null,args:[],type:{kind:"OBJECT",name:"ERC1155Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collectionSlug",description:"The slug of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"NFTContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The contract address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:"The description of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"externalUrl",description:"The external url of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"metadata",description:"The metadata of the token",args:[],type:{kind:"SCALAR",name:"JSONObject",ofType:null},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"NFTTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"uploads",description:"The uploads of a token.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"wallets",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC1155NFTWalletsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"NFT",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC1155NFTWalletsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ERC1155NFTWalletsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"ERC1155NFTWalletsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"Wallet",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"ERCStandard",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"ERC20",description:null,isDeprecated:false,deprecationReason:null},{name:"ERC721",description:null,isDeprecated:false,deprecationReason:null},{name:"ERC1155",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaType",description:null,fields:[{name:"collection",description:null,args:[{name:"contractAddress",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"INTERFACE",name:"Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collections",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"CollectionsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeCollectionsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[{name:"contractAddress",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contracts",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"ContractsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ContractsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"gasPrices",description:"Fetch historical gas prices by block number.",args:[{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"GasPriceFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results based on blockNumber: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"GasPrice",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"nft",description:null,args:[{name:"contractAddress",description:"The address of the contract that the nft is under",type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The id of the nft",type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[{name:"hash",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactions",description:"Returns a list of transactions. Ordered by block number and index.",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TransactionsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"EVMSchemaTypeTransactionsConnection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"trendingCollections",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TrendingCollectionsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"TrendingOrderBy",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeTrendingCollectionsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"walletByAddress",description:"Wallet by address",args:[{name:"address",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"walletByENS",description:"Wallet by ENS name",args:[{name:"ensName",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeCollectionsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeCollectionsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeCollectionsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"Collection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeTokenEventsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeTokenEventsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeTokenEventsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"TokenEvent",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeTransactionsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeTransactionsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeTransactionsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"Transaction",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeTrendingCollectionsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaTypeTrendingCollectionsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"EVMSchemaTypeTrendingCollectionsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TrendingCollection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"Float",description:"The `Float` scalar type represents signed double-precision fractional values as specified by [IEEE 754](https://en.wikipedia.org/wiki/IEEE_floating_point).",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"GasPrice",description:"Gas Prices for a given block. Gas values are returned in Wei.",fields:[{name:"average",description:"The average gas price",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"blockNumber",description:"The block number",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"ceiling",description:"The highest gas price",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"floor",description:"The lowest gas price",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"median",description:"The median gas price",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"total",description:"The total gas price",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Float",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"GasPriceFilterInput",description:"Filter input for gas prices",fields:null,inputFields:[{name:"blockNumber",description:"The block number",type:{kind:"INPUT_OBJECT",name:"IntegerInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"Int",description:"The `Int` scalar type represents non-fractional signed whole numeric values. Int can represent values between -(2^31) and 2^31 - 1.",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"IntegerInput",description:null,fields:null,inputFields:[{name:"eq",description:"Equal to",type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"gt",description:"Greater than",type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"gte",description:"Greater than or equal to",type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"in",description:"In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"lt",description:"Less than",type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"lte",description:"Less than or equal to",type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"JSON",description:"The `JSON` scalar type represents JSON values as specified by [ECMA-404](http://www.ecma-international.org/publications/files/ECMA-ST/ECMA-404.pdf).",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"JSONObject",description:"The `JSONObject` scalar type represents JSON objects as specified by [ECMA-404](http://www.ecma-international.org/publications/files/ECMA-ST/ECMA-404.pdf).",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"ENUM",name:"Marketplace",description:"Marketplace where the token was sold",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"BLUR",description:null,isDeprecated:false,deprecationReason:null},{name:"CRYPTOPUNKS",description:null,isDeprecated:false,deprecationReason:null},{name:"LOOKSRARE",description:null,isDeprecated:false,deprecationReason:null},{name:"NIFTY_GATEWAY",description:null,isDeprecated:false,deprecationReason:null},{name:"OPENSEA",description:null,isDeprecated:false,deprecationReason:null},{name:"SEAPORT",description:null,isDeprecated:false,deprecationReason:null},{name:"X2Y2",description:null,isDeprecated:false,deprecationReason:null},{name:"ZEROX",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"INPUT_OBJECT",name:"MarketplaceInput",description:null,fields:null,inputFields:[{name:"eq",description:null,type:{kind:"ENUM",name:"Marketplace",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"in",description:null,type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"Marketplace",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"notIn",description:null,type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"Marketplace",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"INTERFACE",name:"NFT",description:null,fields:[{name:"animationUrl",description:"The animation url of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collection",description:null,args:[],type:{kind:"INTERFACE",name:"Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collectionSlug",description:"The slug of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"NFTContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The contract address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:"The description of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"externalUrl",description:"The external url of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"metadata",description:"The metadata of the token",args:[],type:{kind:"SCALAR",name:"JSONObject",ofType:null},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"NFTTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"uploads",description:"The uploads of a token.",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"TokenUpload",ofType:null}}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:[{kind:"OBJECT",name:"ERC721NFT",ofType:null},{kind:"OBJECT",name:"ERC1155NFT",ofType:null}]},{kind:"OBJECT",name:"NFTContract",description:null,fields:[{name:"abi",description:"The ABI of the contract",args:[],type:{kind:"SCALAR",name:"JSON",ofType:null},isDeprecated:false,deprecationReason:null},{name:"address",description:"The contract address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"collection",description:null,args:[],type:{kind:"INTERFACE",name:"Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"isVerified",description:"Contract with verified ABI",args:[],type:{kind:"SCALAR",name:"Boolean",ofType:null},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the contract",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"supportedErcInterfaces",description:"The supported ERC interfaces of the contract",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the contract",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ContractTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"Contract",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"NFTTokenEventsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"NFTTokenEventsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"NFTTokenEventsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"TokenEvent",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"NFTWallet",description:null,fields:[{name:"owner",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"walletAddress",description:"The address of the wallet",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"NFTsFilterInput",description:null,fields:null,inputFields:[{name:"contractAddressIn",description:"Contract address in",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"OpenSeaMetadata",description:"Metadata provided by opensea",fields:[{name:"isHidden",description:"Collection is hidden on Opensea.",args:[],type:{kind:"SCALAR",name:"Boolean",ofType:null},isDeprecated:false,deprecationReason:null},{name:"isVerified",description:"Collection verified by Opensea.",args:[],type:{kind:"SCALAR",name:"Boolean",ofType:null},isDeprecated:false,deprecationReason:null},{name:"unsafeSlug",description:"Slug provided by Opensea (it might be stale).",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"OrderDirection",description:"Sort ascending (A-Z) or descending (Z-A)",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"ASC",description:null,isDeprecated:false,deprecationReason:null},{name:"DESC",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"PageInfo",description:null,fields:[{name:"endCursor",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"hasNextPage",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"hasPreviousPage",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"startCursor",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"Query",description:null,fields:[{name:"ethereum",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaType",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"ethereumSepolia",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaType",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"polygon",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"EVMSchemaType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"SCALAR",name:"String",description:"The `String` scalar type represents textual data, represented as UTF-8 character sequences. The String type is most often used by GraphQL to represent free-form human-readable text.",fields:null,inputFields:null,interfaces:null,enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"StringInput",description:null,fields:null,inputFields:[{name:"eq",description:"Equal to",type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"in",description:"In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"notIn",description:"Not In",type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenAttribute",description:"A token attribute",fields:[{name:"name",description:"Attribute name",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"value",description:"Attribute value",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenBurnEvent",description:"A token burn event",fields:[{name:"blockNumber",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The address of the token contract",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contractERCStandard",description:"The ERC standard of the token contract",args:[],type:{kind:"ENUM",name:"ERCStandard",ofType:null},isDeprecated:false,deprecationReason:null},{name:"from",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"nft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"to",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenQuantity",description:"The quantity",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transferIndex",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"TokenEvent",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenContract",description:null,fields:[{name:"abi",description:"The ABI of the contract",args:[],type:{kind:"SCALAR",name:"JSON",ofType:null},isDeprecated:false,deprecationReason:null},{name:"address",description:"The contract address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"decimals",description:null,args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"details",description:null,args:[],type:{kind:"OBJECT",name:"TokenDetailsType",ofType:null},isDeprecated:false,deprecationReason:null},{name:"isVerified",description:"Contract with verified ABI",args:[],type:{kind:"SCALAR",name:"Boolean",ofType:null},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the contract",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"supportedErcInterfaces",description:"The supported ERC interfaces of the contract",args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the contract",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"ContractTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"Contract",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenDetailsType",description:"Token details",fields:[{name:"address",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"name",description:"The name of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"slug",description:"The slug of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"symbol",description:"The symbol of the token",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INTERFACE",name:"TokenEvent",description:null,fields:[{name:"blockNumber",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"from",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"to",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transferIndex",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:[{kind:"OBJECT",name:"TokenBurnEvent",ofType:null},{kind:"OBJECT",name:"TokenMintEvent",ofType:null},{kind:"OBJECT",name:"TokenSaleEvent",ofType:null},{kind:"OBJECT",name:"TokenSwapEvent",ofType:null},{kind:"OBJECT",name:"TokenTransferEvent",ofType:null}]},{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",description:"Filter input for token events",fields:null,inputFields:[{name:"blockNumber",description:"Filter token events by their block number",type:{kind:"INPUT_OBJECT",name:"IntegerInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"Filter token events by contract address",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"contractStandard",description:"Filter token events by their contract standard",type:{kind:"INPUT_OBJECT",name:"ContractStandardInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:"Filter token events by the \"from\" wallet",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"marketplace",description:"Filter token events by the marketplace. It's only valid for SALE types",type:{kind:"INPUT_OBJECT",name:"MarketplaceInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"timestamp",description:"Filter token events by their estimated confirmation date",type:{kind:"INPUT_OBJECT",name:"DateTimeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"toAddress",description:"Filter token events by the \"to\" wallet",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:"Filter token events by transaction hash",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"type",description:"Filter token events by their type",type:{kind:"INPUT_OBJECT",name:"TokenTransferTypeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"walletAddress",description:"Filter token events by the \"to\" and \"from\" wallet",type:{kind:"INPUT_OBJECT",name:"StringInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenMintEvent",description:"A token mint event",fields:[{name:"blockNumber",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The address of the token contract",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contractERCStandard",description:"The ERC standard of the token contract",args:[],type:{kind:"ENUM",name:"ERCStandard",ofType:null},isDeprecated:false,deprecationReason:null},{name:"from",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"nft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"to",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenQuantity",description:"The quantity",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transferIndex",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"TokenEvent",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenSaleEvent",description:"A token sale event",fields:[{name:"blockNumber",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The address of the token contract",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contractERCStandard",description:"The ERC standard of the token contract",args:[],type:{kind:"ENUM",name:"ERCStandard",ofType:null},isDeprecated:false,deprecationReason:null},{name:"from",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"marketplace",description:"Marketplace used to make the sale",args:[],type:{kind:"ENUM",name:"Marketplace",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedNft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenContract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenContractAddress",description:"The address of the token received as payment of the sale proceeds",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenId",description:"The id of the token received as payment of the sale proceeds",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenQuantity",description:"The quantity of tokens received as payment of the sale proceeds",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentNft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenContract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenId",description:"The token id",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenQuantity",description:"The quantity",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"to",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transferIndex",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"TokenEvent",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenSwapEvent",description:"A token swap event",fields:[{name:"blockNumber",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"from",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"receivedNft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenContract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenContractAddress",description:"The address of the token received",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenId",description:"The id of the token received",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"receivedTokenQuantity",description:"The quantity",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentNft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenContract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenContractAddress",description:"The address of the token contract",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"sentTokenContractERCStandard",description:"The ERC standard of the token contract",args:[],type:{kind:"ENUM",name:"ERCStandard",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenId",description:"The token id",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"sentTokenQuantity",description:"The quantity",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"to",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transferIndex",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"TokenEvent",ofType:null}],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenTransferEvent",description:"A token transfer event",fields:[{name:"blockNumber",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contract",description:null,args:[],type:{kind:"INTERFACE",name:"Contract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The address of the token contract",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contractERCStandard",description:"The ERC standard of the token contract",args:[],type:{kind:"ENUM",name:"ERCStandard",ofType:null},isDeprecated:false,deprecationReason:null},{name:"from",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"nft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"timestamp",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"to",description:null,args:[],type:{kind:"OBJECT",name:"Wallet",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenId",description:"The token id",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenQuantity",description:"The quantity",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transaction",description:null,args:[],type:{kind:"OBJECT",name:"Transaction",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionHash",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transferIndex",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[{kind:"INTERFACE",name:"TokenEvent",ofType:null}],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"TokenTransferType",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"BURN",description:null,isDeprecated:false,deprecationReason:null},{name:"MINT",description:null,isDeprecated:false,deprecationReason:null},{name:"SALE",description:null,isDeprecated:false,deprecationReason:null},{name:"SWAP",description:null,isDeprecated:false,deprecationReason:null},{name:"TRANSFER",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"INPUT_OBJECT",name:"TokenTransferTypeInput",description:null,fields:null,inputFields:[{name:"eq",description:null,type:{kind:"ENUM",name:"TokenTransferType",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"in",description:null,type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"notIn",description:null,type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"TokenTransferType",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TokenUpload",description:"Token media uploads.",fields:[{name:"height",description:"The upload height.",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"mimeType",description:"The upload mimeType.",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"url",description:"The upload url.",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"width",description:"The upload width.",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"Transaction",description:null,fields:[{name:"blockNumber",description:"The block number",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"blockTimestamp",description:"The block timestamp",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"DateTime",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The contract address",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"cumulativeGasUsed",description:"The cumulative gas used by this transaction",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"effectiveGasPrice",description:"The effective gas price in Gwei",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:"The from address",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"gas",description:"The amount of gas supplied for this transaction to happen",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"gasPrice",description:"Cost in Gwei per unit of gas for this transaction",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"gasUsed",description:"The amount of gas used by this transaction",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"hash",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"input",description:"The transaction input",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"maxFeePerGas",description:"Max gas fee in Gwei",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"maxPriorityFeePerGas",description:"Max gas priority fee in Gwei",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null},{name:"toAddress",description:"The to address",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"transactionIndex",description:"The transaction index",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Int",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"type",description:"The transaction type",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"value",description:"The transaction value",args:[],type:{kind:"SCALAR",name:"BigInt",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"TransactionsFilterInput",description:"Filter input for transactions",fields:null,inputFields:[{name:"blockNumber",description:"The block number",type:{kind:"INPUT_OBJECT",name:"IntegerInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"fromAddress",description:"The from address",type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"timestamp",description:"The timestamp",type:{kind:"INPUT_OBJECT",name:"DateTimeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"toAddress",description:"The to address",type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TrendingCollection",description:null,fields:[{name:"collection",description:"The collection",args:[],type:{kind:"INTERFACE",name:"Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"stats",description:null,args:[],type:{kind:"OBJECT",name:"TrendingCollectionStats",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"TrendingCollectionStats",description:"Stats of a trending collection",fields:[{name:"average",description:"Average sale price of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'averageInNativeToken' instead"},{name:"averageInNativeToken",description:"Average sale price of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"ceiling",description:"Highest sale price of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'ceilingInNativeToken' instead"},{name:"ceilingInNativeToken",description:"Highest sale price of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"floor",description:"Lowest sale price of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'floorInNativeToken' instead"},{name:"floorInNativeToken",description:"Lowest sale price of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"totalSales",description:"Total sales of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null},{name:"volume",description:"Total sales volume of the collection",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:true,deprecationReason:"Use 'volumeInNativeToken' instead"},{name:"volumeInNativeToken",description:"Total sales volume of the collection in native token",args:[],type:{kind:"SCALAR",name:"Float",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"TrendingCollectionsFilterInput",description:"Filter input for trending collections",fields:null,inputFields:[{name:"timePeriod",description:"A time period relative to the current time in which to filter trending collections by.",type:{kind:"ENUM",name:"TrendingPeriod",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"timeRange",description:"Custom time range in which to filter trending collections by. Available only to paid customers.",type:{kind:"INPUT_OBJECT",name:"DateTimeInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"ENUM",name:"TrendingOrderBy",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"AVERAGE",description:null,isDeprecated:false,deprecationReason:null},{name:"SALES",description:null,isDeprecated:false,deprecationReason:null},{name:"VOLUME",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"ENUM",name:"TrendingPeriod",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"FIFTEEN_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"FIVE_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_DAY",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_HOUR",description:null,isDeprecated:false,deprecationReason:null},{name:"ONE_MINUTE",description:null,isDeprecated:false,deprecationReason:null},{name:"SEVEN_DAYS",description:null,isDeprecated:false,deprecationReason:null},{name:"THIRTY_MINUTES",description:null,isDeprecated:false,deprecationReason:null},{name:"TWELVE_HOURS",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"Wallet",description:null,fields:[{name:"address",description:"The address of the wallet",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"ensName",description:"The ENS name of the wallet",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"tokenBalances",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"WalletTokenBalanceOrder",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTokenBalancesConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"tokenEvents",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TokenEventsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTokenEventsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"transactions",description:"Returns a list of transactions this wallet is associated with. Ordered by block number and index.",args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"TransactionsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTransactionsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"walletCollection",description:null,args:[{name:"collectionAddress",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"WalletCollection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"walletCollections",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"WalletCollectionsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"WalletCollectionOrderBy",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletWalletCollectionsConnection",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"walletNFT",description:null,args:[{name:"contractAddress",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"tokenId",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"OBJECT",name:"WalletNFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"walletNFTs",description:null,args:[{name:"after",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"before",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"filter",description:null,type:{kind:"INPUT_OBJECT",name:"WalletNFTsFilterInput",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"first",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"last",description:null,type:{kind:"SCALAR",name:"Int",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderBy",description:null,type:{kind:"ENUM",name:"WalletNFTsOrderBy",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"orderDirection",description:"The direction you want to order results: ASC/DESC. Defaults to DESC.",type:{kind:"ENUM",name:"OrderDirection",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletNFTsConnection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletCollection",description:null,fields:[{name:"collection",description:null,args:[],type:{kind:"INTERFACE",name:"Collection",ofType:null},isDeprecated:false,deprecationReason:null},{name:"collectionAddress",description:"The address of the collection",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"nftsCount",description:"The number of NFTs from this collection within the wallet",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"WalletCollectionOrderBy",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"DATE_ACQUIRED",description:null,isDeprecated:false,deprecationReason:null},{name:"NAME",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"INPUT_OBJECT",name:"WalletCollectionsFilterInput",description:"Filter of collections in a wallet",fields:null,inputFields:[{name:"contractAddressIn",description:null,type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletNFT",description:null,fields:[{name:"nft",description:null,args:[],type:{kind:"INTERFACE",name:"NFT",ofType:null},isDeprecated:false,deprecationReason:null},{name:"nftsCount",description:"The number of NFTs from this collection within the wallet",args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletNFTsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletNFTsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletNFTsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletNFT",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"WalletNFTsContractTokenFilterInput",description:"Filter of nfts in a wallet by contract address and optional token id. Results are returned if any of the conditions are matched.",fields:null,inputFields:[{name:"contractAddress",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null},{name:"tokenId",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"INPUT_OBJECT",name:"WalletNFTsFilterInput",description:"Filter of nfts in a wallet",fields:null,inputFields:[{name:"contractTokens",description:null,type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"INPUT_OBJECT",name:"WalletNFTsContractTokenFilterInput",ofType:null}}},defaultValue:null,isDeprecated:false,deprecationReason:null}],interfaces:null,enumValues:null,possibleTypes:null},{kind:"ENUM",name:"WalletNFTsOrderBy",description:null,fields:null,inputFields:null,interfaces:null,enumValues:[{name:"DATE_ACQUIRED",description:null,isDeprecated:false,deprecationReason:null},{name:"NAME",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"WalletTokenBalance",description:null,fields:[{name:"contract",description:null,args:[],type:{kind:"OBJECT",name:"TokenContract",ofType:null},isDeprecated:false,deprecationReason:null},{name:"contractAddress",description:"The address of the token",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalBalance",description:"The total balance of the token",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"BigInt",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"WalletTokenBalanceOrder",description:"Sort wallet token balance",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"CONTRACT_ADDRESS",description:null,isDeprecated:false,deprecationReason:null},{name:"NAME",description:null,isDeprecated:false,deprecationReason:null},{name:"SYMBOL",description:null,isDeprecated:false,deprecationReason:null},{name:"TOTAL_BALANCE",description:null,isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"WalletTokenBalancesConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTokenBalancesConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletTokenBalancesConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTokenBalance",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletTokenEventsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTokenEventsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletTokenEventsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"INTERFACE",name:"TokenEvent",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletTransactionsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletTransactionsEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletTransactionsEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"Transaction",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletWalletCollectionsConnection",description:null,fields:[{name:"edges",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletWalletCollectionsConnectionEdge",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"pageInfo",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"PageInfo",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"totalCount",description:null,args:[],type:{kind:"SCALAR",name:"Int",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"WalletWalletCollectionsConnectionEdge",description:null,fields:[{name:"cursor",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"node",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"WalletCollection",ofType:null}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"__Directive",description:"A Directive provides a way to describe alternate runtime execution and type validation behavior in a GraphQL document.\n\nIn some cases, you need to provide options to alter GraphQL's execution behavior in ways field arguments will not suffice, such as conditionally including or skipping a field. Directives provide this by describing additional information to the executor.",fields:[{name:"name",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"isRepeatable",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"locations",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"__DirectiveLocation",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"args",description:null,args:[{name:"includeDeprecated",description:null,type:{kind:"SCALAR",name:"Boolean",ofType:null},defaultValue:"false",isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__InputValue",ofType:null}}}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"__DirectiveLocation",description:"A Directive can be adjacent to many parts of the GraphQL language, a __DirectiveLocation describes one such possible adjacencies.",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"QUERY",description:"Location adjacent to a query operation.",isDeprecated:false,deprecationReason:null},{name:"MUTATION",description:"Location adjacent to a mutation operation.",isDeprecated:false,deprecationReason:null},{name:"SUBSCRIPTION",description:"Location adjacent to a subscription operation.",isDeprecated:false,deprecationReason:null},{name:"FIELD",description:"Location adjacent to a field.",isDeprecated:false,deprecationReason:null},{name:"FRAGMENT_DEFINITION",description:"Location adjacent to a fragment definition.",isDeprecated:false,deprecationReason:null},{name:"FRAGMENT_SPREAD",description:"Location adjacent to a fragment spread.",isDeprecated:false,deprecationReason:null},{name:"INLINE_FRAGMENT",description:"Location adjacent to an inline fragment.",isDeprecated:false,deprecationReason:null},{name:"VARIABLE_DEFINITION",description:"Location adjacent to a variable definition.",isDeprecated:false,deprecationReason:null},{name:"SCHEMA",description:"Location adjacent to a schema definition.",isDeprecated:false,deprecationReason:null},{name:"SCALAR",description:"Location adjacent to a scalar definition.",isDeprecated:false,deprecationReason:null},{name:"OBJECT",description:"Location adjacent to an object type definition.",isDeprecated:false,deprecationReason:null},{name:"FIELD_DEFINITION",description:"Location adjacent to a field definition.",isDeprecated:false,deprecationReason:null},{name:"ARGUMENT_DEFINITION",description:"Location adjacent to an argument definition.",isDeprecated:false,deprecationReason:null},{name:"INTERFACE",description:"Location adjacent to an interface definition.",isDeprecated:false,deprecationReason:null},{name:"UNION",description:"Location adjacent to a union definition.",isDeprecated:false,deprecationReason:null},{name:"ENUM",description:"Location adjacent to an enum definition.",isDeprecated:false,deprecationReason:null},{name:"ENUM_VALUE",description:"Location adjacent to an enum value definition.",isDeprecated:false,deprecationReason:null},{name:"INPUT_OBJECT",description:"Location adjacent to an input object type definition.",isDeprecated:false,deprecationReason:null},{name:"INPUT_FIELD_DEFINITION",description:"Location adjacent to an input object field definition.",isDeprecated:false,deprecationReason:null}],possibleTypes:null},{kind:"OBJECT",name:"__EnumValue",description:"One possible value for a given Enum. Enum values are unique values, not a placeholder for a string or numeric value. However an Enum value is returned in a JSON response as a string.",fields:[{name:"name",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"isDeprecated",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"deprecationReason",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"__Field",description:"Object and Interface types are described by a list of Fields, each of which has a name, potentially a list of arguments, and a return type.",fields:[{name:"name",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"args",description:null,args:[{name:"includeDeprecated",description:null,type:{kind:"SCALAR",name:"Boolean",ofType:null},defaultValue:"false",isDeprecated:false,deprecationReason:null}],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__InputValue",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Type",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"isDeprecated",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"deprecationReason",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"__InputValue",description:"Arguments provided to Fields or Directives and the input fields of an InputObject are represented as Input Values which describe their type and optionally a default value.",fields:[{name:"name",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"description",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"type",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Type",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"defaultValue",description:"A GraphQL-formatted string representing the default value for this input value.",args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"isDeprecated",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"deprecationReason",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"__Schema",description:"A GraphQL Schema defines the capabilities of a GraphQL server. It exposes all available types and directives on the server, as well as the entry points for query, mutation, and subscription operations.",fields:[{name:"description",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"types",description:"A list of all types supported by this server.",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Type",ofType:null}}}},isDeprecated:false,deprecationReason:null},{name:"queryType",description:"The type that query operations will be rooted at.",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Type",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"mutationType",description:"If this server supports mutation, the type that mutation operations will be rooted at.",args:[],type:{kind:"OBJECT",name:"__Type",ofType:null},isDeprecated:false,deprecationReason:null},{name:"subscriptionType",description:"If this server support subscription, the type that subscription operations will be rooted at.",args:[],type:{kind:"OBJECT",name:"__Type",ofType:null},isDeprecated:false,deprecationReason:null},{name:"directives",description:"A list of all directives supported by this server.",args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Directive",ofType:null}}}},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"OBJECT",name:"__Type",description:"The fundamental unit of any GraphQL Schema is the type. There are many kinds of types in GraphQL as represented by the `__TypeKind` enum.\n\nDepending on the kind of a type, certain fields describe information about that type. Scalar types provide no information beyond a name, description and optional `specifiedByURL`, while Enum types provide their values. Object and Interface types provide the fields they describe. Abstract types, Union and Interface, provide the Object types possible at runtime. List and NonNull types compose other types.",fields:[{name:"kind",description:null,args:[],type:{kind:"NON_NULL",name:null,ofType:{kind:"ENUM",name:"__TypeKind",ofType:null}},isDeprecated:false,deprecationReason:null},{name:"name",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"description",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"specifiedByURL",description:null,args:[],type:{kind:"SCALAR",name:"String",ofType:null},isDeprecated:false,deprecationReason:null},{name:"fields",description:null,args:[{name:"includeDeprecated",description:null,type:{kind:"SCALAR",name:"Boolean",ofType:null},defaultValue:"false",isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Field",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"interfaces",description:null,args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Type",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"possibleTypes",description:null,args:[],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__Type",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"enumValues",description:null,args:[{name:"includeDeprecated",description:null,type:{kind:"SCALAR",name:"Boolean",ofType:null},defaultValue:"false",isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__EnumValue",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"inputFields",description:null,args:[{name:"includeDeprecated",description:null,type:{kind:"SCALAR",name:"Boolean",ofType:null},defaultValue:"false",isDeprecated:false,deprecationReason:null}],type:{kind:"LIST",name:null,ofType:{kind:"NON_NULL",name:null,ofType:{kind:"OBJECT",name:"__InputValue",ofType:null}}},isDeprecated:false,deprecationReason:null},{name:"ofType",description:null,args:[],type:{kind:"OBJECT",name:"__Type",ofType:null},isDeprecated:false,deprecationReason:null}],inputFields:null,interfaces:[],enumValues:null,possibleTypes:null},{kind:"ENUM",name:"__TypeKind",description:"An enum describing what kind of type a given `__Type` is.",fields:null,inputFields:null,interfaces:null,enumValues:[{name:"SCALAR",description:"Indicates this type is a scalar.",isDeprecated:false,deprecationReason:null},{name:"OBJECT",description:"Indicates this type is an object. `fields` and `interfaces` are valid fields.",isDeprecated:false,deprecationReason:null},{name:"INTERFACE",description:"Indicates this type is an interface. `fields`, `interfaces`, and `possibleTypes` are valid fields.",isDeprecated:false,deprecationReason:null},{name:"UNION",description:"Indicates this type is a union. `possibleTypes` is a valid field.",isDeprecated:false,deprecationReason:null},{name:"ENUM",description:"Indicates this type is an enum. `enumValues` is a valid field.",isDeprecated:false,deprecationReason:null},{name:"INPUT_OBJECT",description:"Indicates this type is an input object. `inputFields` is a valid field.",isDeprecated:false,deprecationReason:null},{name:"LIST",description:"Indicates this type is a list. `ofType` is a valid field.",isDeprecated:false,deprecationReason:null},{name:"NON_NULL",description:"Indicates this type is a non-null. `ofType` is a valid field.",isDeprecated:false,deprecationReason:null}],possibleTypes:null}],directives:[{name:"defer",description:null,isRepeatable:false,locations:["FRAGMENT_SPREAD","INLINE_FRAGMENT"],args:[{name:"if",description:null,type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},defaultValue:"true",isDeprecated:false,deprecationReason:null},{name:"label",description:null,type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:null,isDeprecated:false,deprecationReason:null}]},{name:"deprecated",description:"Marks an element of a GraphQL schema as no longer supported.",isRepeatable:false,locations:["ARGUMENT_DEFINITION","ENUM_VALUE","FIELD_DEFINITION","INPUT_FIELD_DEFINITION"],args:[{name:"reason",description:"Explains why this element was deprecated, usually also including a suggestion for how to access supported similar data. Formatted using the Markdown syntax, as specified by [CommonMark](https://commonmark.org/).",type:{kind:"SCALAR",name:"String",ofType:null},defaultValue:"\"No longer supported\"",isDeprecated:false,deprecationReason:null}]},{name:"include",description:"Directs the executor to include this field or fragment only when the `if` argument is true.",isRepeatable:false,locations:["FIELD","FRAGMENT_SPREAD","INLINE_FRAGMENT"],args:[{name:"if",description:"Included when true.",type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}]},{name:"skip",description:"Directs the executor to skip this field or fragment when the `if` argument is true.",isRepeatable:false,locations:["FIELD","FRAGMENT_SPREAD","INLINE_FRAGMENT"],args:[{name:"if",description:"Skipped when true.",type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"Boolean",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}]},{name:"specifiedBy",description:"Exposes a URL that specifies the behavior of this scalar.",isRepeatable:false,locations:["SCALAR"],args:[{name:"url",description:"The URL that specifies the behavior of this scalar.",type:{kind:"NON_NULL",name:null,ofType:{kind:"SCALAR",name:"String",ofType:null}},defaultValue:null,isDeprecated:false,deprecationReason:null}]}]};var schema = {__schema:__schema};

export { __schema, schema as default };
